"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config = require("../../config");
exports.get = (req, res) => {
    res.status(200);
    res.json(config.loadTuners());
};
exports.get.apiDoc = {
    tags: ["config"],
    operationId: "getTunersConfig",
    responses: {
        200: {
            description: "OK",
            schema: {
                $ref: "#/definitions/ConfigTuners"
            }
        },
        default: {
            description: "Unexpected Error",
            schema: {
                $ref: "#/definitions/Error"
            }
        }
    }
};
exports.put = (req, res) => {
    const tuners = req.body;
    config.saveTuners(tuners);
    res.status(200);
    res.json(tuners);
};
exports.put.apiDoc = {
    tags: ["config"],
    operationId: "updateTunersConfig",
    parameters: [
        {
            in: "body",
            name: "body",
            schema: {
                $ref: "#/definitions/ConfigTuners"
            }
        }
    ],
    responses: {
        200: {
            description: "OK",
            schema: {
                $ref: "#/definitions/ConfigTuners"
            }
        },
        default: {
            description: "Unexpected Error",
            schema: {
                $ref: "#/definitions/Error"
            }
        }
    }
};

//# sourceMappingURL=tuners.js.map
